cloudstack-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Nalley <da...@gnsa.us>
Subject Re: RPM building failed on 4.0.1 with " Bad exit status from /var/tmp/rpm-tmp.n1sW9g (%prep)"
Date Tue, 05 Feb 2013 21:00:03 GMT
On Mon, Feb 4, 2013 at 8:22 PM, wuzhiqing <wuzhiqing1985@gmail.com> wrote:
> Hi:All, I want to buliding the 4.0.1 source that downloads from the git.The mvn is successd,but
./waf rpm was failed.
> the following is the error log:
>
>
> [root@rpmtest cloudstack-git]# ./waf rpm
> Building RPMs
> New archive created: cloud-4.0.1.tar.bz2 (sha='5856883241c935472f8e776c5da7c8ea1e483991')
> Creating directory /soft/cloudstack4/cloudstack-git/artifacts/rpmbuild/SOURCES and necessary
parents
> rpmbuild --define _topdir /soft/cloudstack4/cloudstack-git/artifacts/rpmbuild --nobuild
cloud.spec --define _ver 4.0.1 --define _rel 1
> rpmbuild --define _topdir /soft/cloudstack4/cloudstack-git/artifacts/rpmbuild -bb cloud.spec
--define _ver 4.0.1 --define _rel 1
> Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.n1sW9g
> + umask 022
> + cd /soft/cloudstack4/cloudstack-git/artifacts/rpmbuild/BUILD
> + $'\r'
> : command not foundsW9g: line 27:
> error: Bad exit status from /var/tmp/rpm-tmp.n1sW9g (%prep)
>
>
>
>
> RPM build errors:
>     Bad exit status from /var/tmp/rpm-tmp.n1sW9g (%prep)
> system command rpmbuild failed with error value 1
>
>
>
> [root@rpmtest cloudstack-git]# cat /var/tmp/rpm-tmp.n1sW9g
> #!/bin/sh
>
>
>   RPM_SOURCE_DIR="/soft/cloudstack4/cloudstack-git/artifacts/rpmbuild/SOURCES"
>   RPM_BUILD_DIR="/soft/cloudstack4/cloudstack-git/artifacts/rpmbuild/BUILD"
>   RPM_OPT_FLAGS="-O2 -g"
>   RPM_ARCH="x86_64"
>   RPM_OS="linux"
>   export RPM_SOURCE_DIR RPM_BUILD_DIR RPM_OPT_FLAGS RPM_ARCH RPM_OS
>   RPM_DOC_DIR="/usr/share/doc"
>   export RPM_DOC_DIR
>   RPM_PACKAGE_NAME="cloud"
>   RPM_PACKAGE_VERSION="4.0.1"
>   RPM_PACKAGE_RELEASE="1.el6"
>   export RPM_PACKAGE_NAME RPM_PACKAGE_VERSION RPM_PACKAGE_RELEASE
>   LANG=C
>   export LANG
>   unset CDPATH DISPLAY ||:
>   RPM_BUILD_ROOT="/soft/cloudstack4/cloudstack-git/artifacts/rpmbuild/BUILDROOT/cloud-4.0.1-1.el6.x86_64"
>   export RPM_BUILD_ROOT
>
>   PKG_CONFIG_PATH="/usr/lib64/pkgconfig:/usr/share/pkgconfig"
>   export PKG_CONFIG_PATH
>
>   set -x
>   umask 022
>   cd "/soft/cloudstack4/cloudstack-git/artifacts/rpmbuild/BUILD"
>
>
> echo Doing CloudStack build
>
>
> cd '/soft/cloudstack4/cloudstack-git/artifacts/rpmbuild/BUILD'
> rm -rf 'cloud-4.0.1'
> /usr/bin/bzip2 -dc '/soft/cloudstack4/cloudstack-git/artifacts/rpmbuild/SOURCES/cloud-4.0.1.tar.bz2'
| /bin/tar -xf -
> STATUS=$?
> if [ $STATUS -ne 0 ]; then
>   exit $STATUS
> fi
> cd 'cloud-4.0.1'
> /bin/chmod -Rf a+rX,u+w,g-w,o-w .



What distro are you building this on?

Can you run 'which chmod' on your system?

--David

Mime
View raw message